com.h3c.util.persistence.cassandra.query

## Class TransReadQueryDecorator<T extends TransportObject<? super T,?>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.query.ReadQueryDecorator<T,DataStoreContext>
  - - com.h3c.util.persistence.cassandra.query.TransReadQueryDecorator<T>

- Type Parameters:
    `T` - Type of the result of the query.
  All Implemented Interfaces:
    ReadQuery<T,DataStoreContext>

      public class TransReadQueryDecorator<T extends TransportObject<? super T,?>>
      extends ReadQueryDecorator<T,DataStoreContext>

  TransReadQueryDecorator is a concrete decorator for read queries.
  It provides the ability to lock the data during the read operation for the purposes of isolation.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.util.persistence.cassandra.query.ReadQueryDecorator

      `delegate, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransReadQueryDecorator(ReadQuery<T,DataStoreContext> query)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `execute(DataStoreContext context)` This is the single execute method provided by the ReadQuery interface.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransReadQueryDecorator

          public TransReadQueryDecorator(ReadQuery<T,DataStoreContext> query)

  - ### Method Detail

    - #### execute

          public T execute(DataStoreContext context)
                                                         throws Exception

      Description copied from interface: `ReadQuery`
      This is the single execute method provided by the ReadQuery interface. The application/business logic prepares a read query and as the last step, calls this method to transmit data to the underlying tiers. This data is read using DAO and Entity Manager.
      Parameters:
        `context` - - The DataStore context. Provides the context to the query.
      Returns:
        Transport object that has been read.
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.